"""
Display pacakge build information
"""

from core.logger import log
from core.build.project import VxProject

__all__ = [
    'build_doctor_cli'
]

def build_doctor_cli(argv):
    r""" Package doctor

    This function will display all package information (path, name, ...) and it
    will try to display the dependencies information (if dependencies have been
    found, dependencies graph, ...).
    """
    log.user(VxProject(None if len(argv) <= 0 else argv[0]))
    return 0
