import os
import shutil

from core.logger import log

__all__ = [
    'project_new'
]

#TODO: change internal project name
def project_new(project_path):
    if os.path.exists(project_path):
        logger(LOG_WARN, f'The path {project_path} already exists !')
        return True
    origin_path = os.path.dirname(__file__)
    shutil.copytree(
        origin_path + '/../../assets/project/',
        project_path
    )
    logger(LOG_USER, f"project '{project_path}' successfully created !")
